from fastapi import APIRouter

from app.api.v1.endpoints import customers, policies, claims, auth

api_router = APIRouter()

# Include routers for different resources
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(customers.router, prefix="/customers", tags=["Customers"])
api_router.include_router(policies.router, prefix="/policies", tags=["Policies"])
api_router.include_router(claims.router, prefix="/claims", tags=["Claims"])